{% extends "application.html" %}
{% block content %}
    {% block style %}
        <style>
            #style-1::-webkit-scrollbar {
                width: 6px;
                background-color: #F5F5F5;
            }

            #style-1::-webkit-scrollbar-thumb {
                background-color: #000000;
            }

            #style-1::-webkit-scrollbar-track {
                -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
                background-color: #F5F5F5;
            }
        </style>
    {% endblock %}
    <div class="container-fluid">
        <div class="row d-flex justify-content-between">
            <h1 class="h3 mb-2 text-gray-800">Tin nhắn từ bác sĩ</h1>
            <a href="{{ url_for('PatientNotification.index') }}" class="btn btn-primary btn-icon-split mb-2">
                <span class="text">Trở về</span>
            </a>
        </div>
        <div class="card shadow mb-4">
            <div class="card-header py-3">
                <h6 class="m-0 font-weight-bold text-primary"><b>{{ patient.name }}</b></h6>
            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">

                        </div>
                        <div id="style-1" class="form-group scrollbar " style="max-height: 300px; overflow-y: scroll">
                            <ul style="list-style-type: none; padding-left: 0px" id="message-list">
                                {% for item in messages %}
                                    {% if item['sender_id'] == current_user.id %}
                                        <li class="text-right mr-3">{{ item['body'] }}</li>
                                    {% else %}
                                        <li class="text-left">{{ item['body'] }}</li>
                                    {% endif %}
                                {% endfor %}
                            </ul>
                        </div>
                    </div>
                    <div class="col-md-12">
                        <form accept-charset="UTF-8" role="form"
                              action="{{ url_for('PatientNotification.message_send') }}" method="Post">
                            {{ form.hidden_tag() }}

                            <input type="text" hidden name="id_patient" value="{{ patient.id }}">
                            <div class="form-group">
{#                                {{ form.message.label }}#}
                                {{ form.message(class="form-control") }}
                            </div>
                            <div class="row d-flex justify-content-center mt-2">
                                {{ form.submit(class="btn btn-primary") }}
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>

    </div>

{% endblock %}
{% block script %}
    <script>
        var csrftoken = $('meta[name=csrf-token]').attr('content');
        $.ajaxSetup({
            beforeSend: function (xhr, settings) {
                if (!/^(GET|HEAD|OPTIONS|TRACE)$/i.test(settings.type)) {
                    xhr.setRequestHeader("X-CSRFToken", csrftoken)
                }
            }
        });
        setInterval(function () {
            $.ajax({
                url: '/admin/ajax/message/list',
                type: 'GET'
            }).done(function (result) {
                var messages = result.data;
                var viewMessage = $("#message-list");
                var data = [];
                viewMessage.empty();

                messages.forEach( function (item) {
                    viewMessage.append(item.body);
                });
            });
        }, 2000);
    </script>
{% endblock %}